/*******************************************************************************
 * Copyright (c) 2010 BSI Business Systems Integration AG.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     BSI Business Systems Integration AG - initial API and implementation
 ******************************************************************************/
package formresizing.example.ui.swing;

import java.awt.Dialog;
import java.awt.Frame;

import org.eclipse.scout.rt.ui.swing.DefaultSwingEnvironment;
import org.eclipse.scout.rt.ui.swing.ext.JDialogEx;

import formresizing.example.ui.swing.custom.jcomponents.SampleJDialogEx;

public class SwingEnvironment extends DefaultSwingEnvironment {

  @Override
  public JDialogEx createJDialogEx(Dialog swingParent) {
    return new SampleJDialogEx();
  }

  @Override
  public JDialogEx createJDialogEx(Frame swingParent) {
    return new SampleJDialogEx();
  }
}
